import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataVsphereTagCategoryConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vsphere/d/tag_category#id DataVsphereTagCategory#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * The display name of the category.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/vsphere/d/tag_category#name DataVsphereTagCategory#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/vsphere/d/tag_category vsphere_tag_category}
*/
export declare class DataVsphereTagCategory extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "vsphere_tag_category";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/vsphere/d/tag_category vsphere_tag_category} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataVsphereTagCategoryConfig
    */
    constructor(scope: Construct, id: string, config: DataVsphereTagCategoryConfig);
    get associableTypes(): string[];
    get cardinality(): string;
    get description(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
